// Variable para almacenar el ID del temporizador
let inactivityTimer;

// Función para reiniciar el temporizador
function resetInactivityTimer() {
    clearTimeout(inactivityTimer);
    inactivityTimer = setTimeout(logout, (minutos_inactividad*60000)); // 60mil = 1 minuto. Cambia el tiempo en milisegundos que deseas esperar antes de cerrar sesión
}

// Función para cerrar sesión (llamar a una URL, etc.)
function logout() {
    // Redirigir a la página de cierre de sesión, por ejemplo
    window.location.href = 'logout_page.php';
}

if (minutos_inactividad>0){
// Reiniciar el temporizador cuando se detecte actividad del usuario
document.body.addEventListener('mousemove', resetInactivityTimer);
document.body.addEventListener('keydown', resetInactivityTimer);

// Iniciar el temporizador
resetInactivityTimer();
}
